SCons / epydoc support
[blender.git] / SConstruct
index 6cc3fcb811dbbf969b8c1df077e59fca355e6715..3cdb5aeace76cb894429162a5d38a1574dfba643 100644 (file)
@@ -616,6 +616,11 @@ if not env['WITHOUT_BF_INSTALL']:
 
 #------------ EPYDOC
 if env['WITH_BF_DOCS']:
-       SConscript('source/blender/python/api2_2x/doc/SConscript')
-       SConscript('source/gameengine/PyDoc/SConscript')
+       try:
+               import epydoc
+               SConscript('source/blender/python/api2_2x/doc/SConscript')
+               SConscript('source/gameengine/PyDoc/SConscript')
+       except ImportError:
+               print "No epydoc install detected, Python API and Gameengine API Docs will not be generated "
+